Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdgf
Class HDGFDiagram

    java.lang.Object
      org.apache.poi.POIDocument
          org.apache.poi.hdgf.HDGFDiagram

    public final class HDGFDiagram

extends org.apache.poi.POIDocument

See http://www.redferni.uklinux.net/visio/ http://www.gnome.ru/projects/docs/vsdocs.html http://www.gnome.ru/projects/docs/slide1.png http://www.gnome.ru/projects/docs/slide2.png

Constructor Summary
`HDGFDiagram(org.apache.poi.poifs.filesystem.DirectoryNode dir)`
`HDGFDiagram(org.apache.poi.poifs.filesystem.DirectoryNode dir, org.apache.poi.poifs.filesystem.POIFSFileSystem fs)` Deprecated. Use `HDGFDiagram(DirectoryNode)` instead
`HDGFDiagram(org.apache.poi.poifs.filesystem.NPOIFSFileSystem fs)`
`HDGFDiagram(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)`

Method Summary
`void` | `debug()` Prints out some simple debug on the base contents of the file.
`long` | `getDocumentSize()`
`Stream[]` | `getTopLevelStreams()` Returns all the top level streams, which are the streams pointed to by the TrailerStream.
`TrailerStream` | `getTrailerStream()` Returns the TrailerStream, which is at the root of the tree of Streams.
`static void` | `main(java.lang.String[] args)` For testing only
`void` | `write(java.io.OutputStream out)`

Methods inherited from class org.apache.poi.POIDocument
`createInformationProperties, getDocumentSummaryInformation, getSummaryInformation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HDGFDiagram

    public HDGFDiagram(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)
                throws java.io.IOException

Throws:
  `java.io.IOException`

### HDGFDiagram

    public HDGFDiagram(org.apache.poi.poifs.filesystem.NPOIFSFileSystem fs)
                throws java.io.IOException

Throws:
  `java.io.IOException`

### HDGFDiagram

    public HDGFDiagram(org.apache.poi.poifs.filesystem.DirectoryNode dir,
                       org.apache.poi.poifs.filesystem.POIFSFileSystem fs)
                throws java.io.IOException

  Deprecated. Use `HDGFDiagram(DirectoryNode)` instead

  Throws:
    `java.io.IOException`

### HDGFDiagram

    public HDGFDiagram(org.apache.poi.poifs.filesystem.DirectoryNode dir)
                throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getTrailerStream

    public TrailerStream getTrailerStream()

  Returns the TrailerStream, which is at the root of the tree of Streams.

### getTopLevelStreams

    public Stream[] getTopLevelStreams()

  Returns all the top level streams, which are the streams pointed to by the TrailerStream.

### getDocumentSize

    public long getDocumentSize()

### debug

    public void debug()

  Prints out some simple debug on the base contents of the file.

  See Also:
    `VSDDumper`

### write

    public void write(java.io.OutputStream out)

  Specified by:
    `write` in class `org.apache.poi.POIDocument`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  For testing only

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD